%global gem_name prawn-templates

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 6%{?dist}
Summary: Prawn::Templates allows using PDFs as templates in Prawn
Group: Development/Languages
License: Ruby or GPLv2 or GPLv3
URL: https://github.com/prawnpdf/prawn-templates
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Workaround for https://github.com/prawnpdf/prawn-templates/pull/12
Source1: https://raw.githubusercontent.com/prawnpdf/prawn-templates/master/COPYING
Source2: https://raw.githubusercontent.com/prawnpdf/prawn-templates/master/GPLv2
Source3: https://raw.githubusercontent.com/prawnpdf/prawn-templates/master/GPLv3
Source4: https://raw.githubusercontent.com/prawnpdf/prawn-templates/master/LICENSE
# Workaround to very strict dependencies
Patch0: prawn-templates-fix-dependencies.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(pdf-inspector) => 1.2.0
# BuildRequires: rubygem(pdf-inspector) < 1.3
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) = 0.30.1
BuildArch: noarch

%description
Prawn::Templates allows using PDFs as templates in Prawn.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license COPYING
%license GPLv2
%license GPLv3
%license LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/prawn-templates.gemspec

%changelog
* Sat Oct 06 2018 Christopher Brown <chris.brown@redhat.com> - 0.0.4-6
- Added patch to workaround strict dependencies

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 17 2016 Fabio Alessandro Locati <me@fale.io> - 0.0.4-1
- Initial package
